Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class JointDataSetHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.DesignElementHandle
          org.eclipse.birt.report.model.api.ReportElementHandle
              org.eclipse.birt.report.model.api.DataSetHandle
                  org.eclipse.birt.report.model.api.JointDataSetHandle

All Implemented Interfaces:
  org.eclipse.birt.report.model.elements.interfaces.IDataSetModel, org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel, org.eclipse.birt.report.model.elements.interfaces.IJointDataSetModel, org.eclipse.birt.report.model.elements.interfaces.ISimpleDataSetModel

    public class JointDataSetHandle

extends DataSetHandle
implements org.eclipse.birt.report.model.elements.interfaces.IJointDataSetModel

Provides API to operate a joint data set.

See Also:
  `JointDataSet`

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`element`

Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`module`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IJointDataSetModel
`DATA_SETS_PROP, JOIN_CONDITONS_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDataSetModel
`CACHED_METADATA_PROP, COLUMN_HINTS_PROP, COMPUTED_COLUMNS_PROP, FILTER_PROP, NEEDS_CACHE_PROP, PARAMETERS_PROP, RESULT_SET_HINTS_PROP, RESULT_SET_PROP, ROW_FETCH_LIMIT_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.ISimpleDataSetModel
`AFTER_CLOSE_METHOD, AFTER_OPEN_METHOD, BEFORE_CLOSE_METHOD, BEFORE_OPEN_METHOD, CACHED_ROW_COUNT_PROP, DATA_SET_ROW_LIMIT, DATA_SOURCE_PROP, ON_FETCH_METHOD, PARAM_BINDINGS_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel
`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

Constructor Summary
`JointDataSetHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.elements.JointDataSet element)` Constructs a handle of the joint data set with the given design and a joint data set.

Method Summary
`void` | `addDataSet(java.lang.String dataSetName)` Adds a data set into this joint data set by name.
`java.util.Iterator` | `dataSetsIterator()` Gets data sets in this joint data set.
`java.util.List` | `getDataSetNames()` Gets the names of the data sets in this joint data set.
`java.util.Iterator` | `joinConditionsIterator()` Returns the iterator of join conditions.
`java.util.Iterator` | `paramBindingsIterator()` Returns an iterator over the list of parameter bindings.
`void` | `removeDataSet(java.lang.String dataSetName)` Removes a data set from this joint data set by name.
`void` | `setProperty(java.lang.String propName, java.lang.Object value)` Sets the value of a property from a generic object.

Methods inherited from class org.eclipse.birt.report.model.api.DataSetHandle
`addFilter, columnHintsIterator, computedColumnsIterator, filtersIterator, getAfterClose, getAfterOpen, getBeforeClose, getBeforeOpen, getCachedMetaDataHandle, getCachedRowCount, getDataSetRowLimit, getDataSource, getDataSourceName, getOnFetch, getPropertyHandle, getRowFetchLimit, needsCache, parametersIterator, removeFilter, resultSetHintsIterator, resultSetIterator, setAfterClose, setAfterOpen, setBeforeClose, setBeforeOpen, setCachedMetaData, setCachedRowCount, setDataSetRowLimit, setDataSource, setNeedsCache, setOnFetch, setRowFetchLimit`

Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindings, getPropertyDefn, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setEncryption, setEventHandlerClass, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNumberProperty, setProperties, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JointDataSetHandle

    public JointDataSetHandle(org.eclipse.birt.report.model.core.Module module,
                              org.eclipse.birt.report.model.elements.JointDataSet element)

  Constructs a handle of the joint data set with the given design and a joint data set. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

  Parameters:
    `module` - the module
    `element` - the model representation of the element

Method Detail

### getDataSetNames

    public java.util.List getDataSetNames()

  Gets the names of the data sets in this joint data set.

  Returns:
    a list of names of data sets in this joint data set.

### dataSetsIterator

    public java.util.Iterator dataSetsIterator()

  Gets data sets in this joint data set.

  Returns:
    a list of data sets in this joint data set.

### addDataSet

    public void addDataSet(java.lang.String dataSetName)
                    throws SemanticException

  Adds a data set into this joint data set by name.

  Parameters:
    `dataSetName` - the name of the data set to be added in.
  Throws:
    `SemanticException` - if the the value of the item is incorrect.

### removeDataSet

    public void removeDataSet(java.lang.String dataSetName)
                       throws SemanticException

  Removes a data set from this joint data set by name.

  Parameters:
    `dataSetName` - the name of the data set to be removed.
  Throws:
    `SemanticException` - if the the value of the item is incorrect.

### joinConditionsIterator

    public java.util.Iterator joinConditionsIterator()

  Returns the iterator of join conditions. The element in the iterator is the corresponding `JoinConditionHandle` that deal with a `JoinCondition`.

  Returns:
    the iterator of join condition structure list

### paramBindingsIterator

    public java.util.Iterator paramBindingsIterator()

  Description copied from class: `DataSetHandle`
  Returns an iterator over the list of parameter bindings. The iterator returns instances of `ParamBindingHandle` that represents parameter binding object.

  Overrides:
    `paramBindingsIterator` in class `DataSetHandle`
  Returns:
    iterator over parameter binding.
  See Also:
    `ParamBinding`

### setProperty

    public void setProperty(java.lang.String propName,
                            java.lang.Object value)
                     throws SemanticException

  Description copied from class: `DesignElementHandle`
  Sets the value of a property from a generic object. The value can be any of the supported types: String, Double, Integer, BigDecimal or one of the specialized property types. The type of object allowed depends on the type of the property.

  Overrides:
    `setProperty` in class `DesignElementHandle`
  Parameters:
    `propName` - the property name
    `value` - the value to set
  Throws:
    `SemanticException` - if the property is undefined on the element or the value is invalid.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.